1. Network Groups
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
        GET
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Network Groups

List All Network Groups

GET
/v1/network-groups

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/network-groups?page=1&fields=id,name&per_page=10' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200Success
application/json
Body

Example
{
    "meta": {
        "total": 34,
        "from": 4,
        "to": 6,
        "current_page": 2,
        "last_page": 12,
        "per_page": "3",
        "fields": [
            "id",
            "name"
        ]
    },
    "data": [
        {
            "id": 10001,
            "name": "Adrecord"
        },
        {
            "id": 10002,
            "name": "Adtraction"
        },
        {
            "id": 10004,
            "name": "Avangate"
        },
        {
            "id": 10005,
            "name": "AvantLink"
        },
        {
            "id": 10006,
            "name": "Awin"
        },
        {
            "id": 10007,
            "name": "Belboon"
        },
        {
            "id": 10009,
            "name": "bol.com"
        },
        {
            "id": 10011,
            "name": "ClixGalore"
        },
        {
            "id": 10012,
            "name": "Commission Factory"
        },
        {
            "id": 10013,
            "name": "Commission Junction"
        },
        {
            "id": 10015,
            "name": "Daisycon"
        },
        {
            "id": 10017,
            "name": "Effiliation"
        },
        {
            "id": 10018,
            "name": "FlexOffers"
        },
        {
            "id": 10020,
            "name": "Impact"
        },
        {
            "id": 10021,
            "name": "LinkConnector"
        },
        {
            "id": 10022,
            "name": "Rakuten"
        },
        {
            "id": 10025,
            "name": "Paid on Results"
        },
        {
            "id": 10026,
            "name": "Partner-ads"
        },
        {
            "id": 10027,
            "name": "Partnerize"
        },
        {
            "id": 10028,
            "name": "PepperJam"
        },
        {
            "id": 10030,
            "name": "ShareASale"
        },
        {
            "id": 10031,
            "name": "Shopello"
        },
        {
            "id": 10033,
            "name": "The Affiliate Gateway"
        },
        {
            "id": 10034,
            "name": "TradeDoubler"
        },
        {
            "id": 10035,
            "name": "TradeTracker"
        },
        {
            "id": 10036,
            "name": "Webgains"
        },
        {
            "id": 10038,
            "name": "ADCELL"
        },
        {
            "id": 10039,
            "name": "2Performant"
        },
        {
            "id": 10040,
            "name": "Admitad"
        },
        {
            "id": 10041,
            "name": "Profitshare"
        },
        {
            "id": 10043,
            "name": "GoAffPro"
        },
        {
            "id": 10045,
            "name": "Adservice"
        },
        {
            "id": 10046,
            "name": "Addrevenue"
        },
        {
            "id": 10051,
            "name": "TimeOne"
        }
    ]
}
🟠401Unauthenticated
🟠429Rate Limit Exceeded
Modified at 2024-09-17 20:47:13
Previous
Network Groups
Next
Networks